## pyscard 1.9.2

=== Makefile ===
PYTHON ?= python

build:
	$(PYTHON) setup.py build

clean:
	$(PYTHON) setup.py clean
	rm -rf build

pypi: clean
	# files generated by swig
	rm -f smartcard/scard/scard.py
	rm -f smartcard/scard/scard_wrap.c
	# files generated by sphinx
	rm -rf smartcard/doc/_build
	$(PYTHON) setup.py sdist upload

test: build
	$(PYTHON) setup.py test

.PHONY: clean build pypi test

## pyscard 1.6.10

=== debian/changelog ===
pyscard (1.6.10-2) unstable; urgency=low

  * debian/patches/01_ATR.py: Closes: #585319
    "python-pyscard: Python string exceptions no more allowed in Python 2.6"
  * debian/source/format: switch from "1.0" to "3.0 (quilt)" to have automatic
    quilt support for patches

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 11 Jun 2010 18:54:04 +0200

pyscard (1.6.10-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.8.3 -> 3.8.4. No change needed.
  * Fix a lintian warning:
    pyscard source: binary-control-field-duplicates-source field "section" in
    package python-pyscard
  * debian/compat: upgrade from 5 to 7 since we Build-Depends: debhelper
    (>= 7.0.0~)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 29 May 2010 21:41:19 +0200

pyscard (1.6.8-2) unstable; urgency=low

  * debian/rules: use dh
    should fix python2.6 problem
    http://lists.debian.org/debian-python/2009/09/msg00122.html
  * debian/control: Standards-Version: 3.8.2 -> 3.8.3, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 20 Sep 2009 15:02:58 +0200

pyscard (1.6.8-1) unstable; urgency=low

  * New upstream release
  * debian/patches/*: all patches included upstream
  * debian/control: Standards-Version: 3.7.3 -> 3.8.2, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 28 Jul 2009 23:04:14 +0200

pyscard (1.6.7-6) unstable; urgency=low

  * trunk/debian/patches/02_winscarddll.c: use libpcsclite.so.1 instead of
    libpcsclite.so. Closes: #511344
  * debian/rules: remove all applied patches in clean rule

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 10 Jan 2009 10:59:49 +0000

pyscard (1.6.7-5) unstable; urgency=low

  * debian/rules: define QUILT_PATCHES for the local patch

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 26 Oct 2008 19:39:56 +0100

pyscard (1.6.7-4) unstable; urgency=low

  * debian/rules: the patch 01_setup.py is needed for the clean rule. Use a
    manual patching. Really fix bug 503453

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 26 Oct 2008 16:49:24 +0000

pyscard (1.6.7-3) unstable; urgency=low

  * debian/rules: use quilt so the patches are applied. Really fix bug 503453

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 26 Oct 2008 15:21:05 +0100

pyscard (1.6.7-2) unstable; urgency=low

  * debian/control: add Build-Depends: quilt
  * debian/patches/01_setup.py: do not build only for i.86 and x86_64
    Closes: #503453 "FTBFS on most archs, unsupported platform: linux-foo"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 26 Oct 2008 14:16:01 +0100

pyscard (1.6.7-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 08 Oct 2008 10:45:46 +0200

pyscard (1.6.6-1) unstable; urgency=low

  * new upstream version
  * Closes: #495438 ITP: python-pyscard -- Python wrapper above PC/SC API

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 31 Aug 2008 20:18:42 +0200

=== debian/control ===
Source: pyscard
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.0~), python-support (>= 0.5.3), python-all-dev (>= 2.3.5-11), libpcsclite-dev, swig
Standards-Version: 3.8.4
Section: python
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyscard/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyscard/trunk/
Homepage: http://pyscard.sourceforge.net/

Package: python-pyscard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-wxgtk2.6 | python-wxgtk2.8
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python wrapper above PC/SC API
 This package contains a wrapper to use PC/SC from a Python program.
 PC/SC is an API to communicate with smart cards and smart card readers.

## pyscard 1.6.12

=== debian/changelog ===
pyscard (1.6.12-4build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:08:22 +0000

pyscard (1.6.12-4) unstable; urgency=low

  * rebuild to add support of python 2.7 and remove support of python 2.5
  * debian/rules: move to dh_python2
  * debian/control: Standards-Version: 3.9.1 -> 3.9.2, no change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 23 Apr 2011 17:17:32 +0200

pyscard (1.6.12-3) unstable; urgency=low

  * Fix "Cannot load Python module: SCardCancelTransaction is an
    undefined symbol" patch from upstream revision 516 (Closes: #618841)
  * Change from Recommends: to Suggests: for python-wxgtk2.? since only the
    examples are using it. No need to install this package by default.
  * Remove Provides: ${python:Provides} since it is useless or harmful 
    http://lists.debian.org/debian-python/2011/03/msg00139.html
  * Fix: I: python-pyscard: extended-description-is-probably-too-short

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 25 Mar 2011 21:11:56 +0100

pyscard (1.6.12-2) unstable; urgency=low

  * upload to unstable
  * Fix "FTBFS: smartcard/scard/winscarddll.h:293: error: expected
    declaration specifiers or '...' before 'LPSCARD_READERSTATE_A'"
    fixed upstream (Closes: #614441)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 23 Feb 2011 09:15:13 +0100

pyscard (1.6.12-1) experimental; urgency=low

  * New upstream release
  * debian/patches/01_ATR.py: removed since included upstream
  * debian/control: Standards-Version: 3.8.4 -> 3.9.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 27 Aug 2010 18:42:00 +0200

=== debian/control ===
Source: pyscard
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.0~), python-all-dev (>= 2.6.6-3), libpcsclite-dev, swig
Standards-Version: 3.9.2
Section: python
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyscard/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyscard/trunk/
Homepage: http://pyscard.sourceforge.net/

Package: python-pyscard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-wxgtk2.6 | python-wxgtk2.8
XB-Python-Version: ${python:Versions}
Description: Python wrapper above PC/SC API
 This package contains a wrapper to use PC/SC from a Python program.
 PC/SC is an API to communicate with smart cards and smart card readers.
 .
 The package also contains some example of codes.

## pyscard 1.6.12.1

=== debian/changelog ===
pyscard (1.6.12.1-4) unstable; urgency=low

  * Fix "python-pyscard package needlessly linked against libpython"
    patched from bug report applied (Closes: #689923)
  * debian/compat: move from 7 to 9 to get automatic code hardening

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 10 Oct 2012 14:50:11 +0200

pyscard (1.6.12.1-3) unstable; urgency=low

  * use debian/clean instead of a modified debian/rules to fix bug #671322

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 18 May 2012 17:35:40 +0200

pyscard (1.6.12.1-2) unstable; urgency=low

  * Fix "FTBFS if built twice in a row: aborting due to unexpected
    upstream changes" remove files generated by swig in dh_auto_clean
    (Closes: #671322)

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 03 May 2012 18:49:59 +0200

pyscard (1.6.12.1-1) unstable; urgency=low

  * New upstream release (SVN snapshot at revision 596)
  * Fix "Please drop alternative dependency on python-wxgtk2.6"
    Removed Suggests: python-wxgtk2.6 as the package is no more available in
    Debian (Closes: #645891)
  * debian/patches/SCardCancelTransaction.patch: removed since included
    upstream
  * debian/control: Standards-Version: 3.9.2 -> 3.9.3, no change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 01 May 2012 17:26:03 +0200

=== debian/control ===
Source: pyscard
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6.6-3), libpcsclite-dev, swig
Standards-Version: 3.9.3
Section: python
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyscard/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyscard/trunk/
Homepage: http://pyscard.sourceforge.net/

Package: python-pyscard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-wxgtk2.8
XB-Python-Version: ${python:Versions}
Description: Python wrapper above PC/SC API
 This package contains a wrapper to use PC/SC from a Python program.
 PC/SC (or winscard or pcsc) is an API to communicate with smart cards and
 smart card readers.
 .
 The package also contains some example of codes.

=== debian/watch ===
version=3
http://sf.net/pyscard/pyscard-(.*)\.tar\.gz

## pyscard 1.9.0

=== debian/changelog ===
pyscard (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 12 Aug 2015 21:12:32 +0200

pyscard (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: add Build-Depends: on python-setuptools

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 27 Jun 2015 20:09:24 +0200

pyscard (1.6.16-1) unstable; urgency=medium

  * New upstream release
  * remove debian/patches/remove_explicit_link: included upstream
  * debian/control: add dh-python to Build-Depends as suggested
  * debian/control: Standards-Version: 3.9.5 -> 3.9.6, no change needed.
  * debian/pycompat: removed as suggested by lintian

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 20 May 2015 21:51:15 +0200

pyscard (1.6.12.1-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ludovic Rousseau ]
  * Fix "Please update to use wxpython3.0" with Suggests: python-wxgtk3.0
    No code change needed (Closes: #759078)
  * debian/control: Standards-Version: 3.9.3 -> 3.9.5, no change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 28 Aug 2014 11:15:34 +0200

=== debian/control ===
Source: pyscard
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9~), python-all-dev (>= 2.6.6-3), libpcsclite-dev, swig, dh-python, python-setuptools
Standards-Version: 3.9.6
Section: python
XS-Python-Version: all
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyscard/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyscard/trunk/
Homepage: http://pyscard.sourceforge.net/

Package: python-pyscard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-wxgtk3.0
XB-Python-Version: ${python:Versions}
Description: Python wrapper above PC/SC API
 This package contains a wrapper to use PC/SC from a Python program.
 PC/SC (or winscard or pcsc) is an API to communicate with smart cards and
 smart card readers.
 .
 The package also contains some example of codes.

## pyscard 1.9.2

=== debian/changelog ===
pyscard (1.9.2-2) unstable; urgency=medium

  * Provide a version for Python 2 and Python 3 versions
  * Fix "Dropped python-pyscard without explanation" build python-pyscard for
    Python 2 again (Closes: #814805)
  * debian/python-pyscard.examples: examples for python-pyscard

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 19 Feb 2016 22:02:16 +0100

pyscard (1.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 05 Feb 2016 22:59:18 +0100

pyscard (1.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 20 Sep 2015 16:13:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,25 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9~), python-all-dev (>= 2.6.6-3), libpcsclite-dev, swig, dh-python, python-setuptools
+Build-Depends: debhelper (>= 9~), python-all-dev, python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools, python-setuptools
 Standards-Version: 3.9.6
 Section: python
 XS-Python-Version: all
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyscard/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyscard/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyscard.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyscard.git
 Homepage: http://pyscard.sourceforge.net/
+
+Package: python3-pyscard
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Suggests: python-wxgtk3.0
+XB-Python-Version: ${python:Versions}
+Description: Python wrapper above PC/SC API
+ This package contains a wrapper to use PC/SC from a Python program.
+ PC/SC (or winscard or pcsc) is an API to communicate with smart cards and
+ smart card readers.
+ .
+ The package also contains some example of codes.
 
 Package: python-pyscard
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

build3vers := $(shell py3versions -sv)
build2vers := $(shell pyversions -sv)

%:
	dh $@ --with python3 --with python2

override_dh_auto_build:
	set -e && for i in $(build3vers) $(build2vers); do \
	  python$$i setup.py build; \
	done

override_dh_auto_install:
	set -e && for i in $(build3vers); do \
	  python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-pyscard; \
	done
	set -e && for i in $(build2vers); do \
	  python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python-pyscard; \
	done

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	python3 setup.py test

## pyscard 1.9.4

=== debian/changelog ===
pyscard (1.9.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Ludovic Rousseau ]
  * New upstream release
  * debian/control: Standards-Version: 3.9.6 -> 3.9.8, no change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 27 May 2016 09:46:59 +0200

pyscard (1.9.3-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 27 Mar 2016 17:32:44 +0200

=== debian/control ===
Source: pyscard
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9~), python-all-dev, python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools, python-setuptools
Standards-Version: 3.9.8
Section: python
XS-Python-Version: all
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyscard.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyscard.git
Homepage: http://pyscard.sourceforge.net/

Package: python3-pyscard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-wxgtk3.0
XB-Python-Version: ${python:Versions}
Description: Python3 wrapper above PC/SC API
 This package contains a wrapper to use PC/SC from a Python 3 program.
 PC/SC (or winscard or pcsc) is an API to communicate with smart cards and
 smart card readers.
 .
 The package also contains some example of codes.

Package: python-pyscard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-wxgtk3.0
XB-Python-Version: ${python:Versions}
Description: Python2 wrapper above PC/SC API
 This package contains a wrapper to use PC/SC from a Python 2 program.
 PC/SC (or winscard or pcsc) is an API to communicate with smart cards and
 smart card readers.
 .
 The package also contains some example of codes.

## pyscard 1.9.5

=== debian/changelog ===
pyscard (1.9.5-2ubuntu1) artful; urgency=medium

  * Add d/patches/make-test-dir-a-package.patch to fix ftbfs with Python 3.6.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 07 Aug 2017 13:07:17 +1200

pyscard (1.9.5-2build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:50:52 +1200

pyscard (1.9.5-2) unstable; urgency=medium

  * Team upload.
  * Fix incorrect depends for python3-pyscard due to wrong substitution
    variable (and uploading instead of filing an RC bug)
  * Remove obsolete subtitution variables

 -- Scott Kitterman <scott@kitterman.com>  Thu, 29 Jun 2017 15:16:10 -0400

pyscard (1.9.5-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 17 Feb 2017 15:02:34 +0100

=== debian/control ===
Source: pyscard
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9~), python-all-dev, python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools, python-setuptools
Standards-Version: 3.9.8
Section: python
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyscard.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyscard.git
Homepage: http://pyscard.sourceforge.net/

Package: python3-pyscard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Suggests: python-wxgtk3.0
Description: Python3 wrapper above PC/SC API
 This package contains a wrapper to use PC/SC from a Python 3 program.
 PC/SC (or winscard or pcsc) is an API to communicate with smart cards and
 smart card readers.
 .
 The package also contains some example of codes.

Package: python-pyscard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-wxgtk3.0
Description: Python2 wrapper above PC/SC API
 This package contains a wrapper to use PC/SC from a Python 2 program.
 PC/SC (or winscard or pcsc) is an API to communicate with smart cards and
 smart card readers.
 .
 The package also contains some example of codes.

## pyscard 1.9.6

=== Makefile ===
--- 
+++ 
@@ -18,4 +18,7 @@
 test: build
 	$(PYTHON) setup.py test
 
+ChangeLog.git:
+	git log --stat --decorate=short > $@
+
 .PHONY: clean build pypi test

=== debian/changelog ===
pyscard (1.9.6-2) unstable; urgency=medium

  * Upgrade to debhelper compat 10 (from 9)
  * Use hardening=+all
  * debian/watch: check PGP signature

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 05 Jan 2018 14:42:22 +0100

pyscard (1.9.6-1) unstable; urgency=medium

  * New upstream release
  * Fix "ftbfs with python3.6 as default" fixed upstream (Closes: #871226)

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 21 Aug 2017 20:32:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: pyscard
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9~), python-all-dev, python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools, python-setuptools
+Build-Depends: debhelper (>= 10~), python-all-dev, python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools, python-setuptools
 Standards-Version: 3.9.8
 Section: python
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyscard.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 build3vers := $(shell py3versions -sv)
 build2vers := $(shell pyversions -sv)
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --with python3 --with python2

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    http://sf.net/pyscard/pyscard-(.*)\.tar\.gz

## pyscard 1.9.7

=== debian/changelog ===
pyscard (1.9.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:43:42 +0800

pyscard (1.9.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Ludovic Rousseau ]
  * New upstream release
  * d/copntrol: "Suggests: python3-wxgtk4.0" for python3-pyscard
    fix lintian: python-package-depends-on-package-from-other-python-variant
  * d/control: update project Homepage:
  * d/control: Standards-Version upgrade from 3.9.8 to 4.1.4
  * d/compat: upgrade from 10 to 11
    fix lintian package-uses-old-debhelper-compat-version 10
  * d/docs: README has been renamed in README.md

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 20 Jun 2018 18:55:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10~), python-all-dev, python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools, python-setuptools
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), python-all-dev, python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools, python-setuptools
+Standards-Version: 4.1.4
 Section: python
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyscard.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyscard.git
-Homepage: http://pyscard.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/python-team/modules/pyscard.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pyscard
+Homepage: https://github.com/LudovicRousseau/pyscard
 
 Package: python3-pyscard
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Suggests: python-wxgtk3.0
+Suggests: python3-wxgtk4.0
 Description: Python3 wrapper above PC/SC API
  This package contains a wrapper to use PC/SC from a Python 3 program.
  PC/SC (or winscard or pcsc) is an API to communicate with smart cards and

## pyscard 1.9.9

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,9 @@
 	rm -f smartcard/scard/scard_wrap.c
 	# files generated by sphinx
 	rm -rf smartcard/doc/_build
-	$(PYTHON) setup.py sdist upload
+	rm -rf dist
+	$(PYTHON) setup.py sdist
+	python3 -m twine upload dist/*
 
 test: build
 	$(PYTHON) setup.py test

=== debian/changelog ===
pyscard (1.9.9-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version upgrade from 4.1.4 to 4.3.0

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 09 Aug 2019 18:04:57 +0200

pyscard (1.9.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Ludovic Rousseau ]
  * rebuild for source only upload

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 04 Aug 2019 17:50:50 +0200

pyscard (1.9.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * d/watch: Use https protocol

  [ Ludovic Rousseau ]
  * New upstream release
  * d/upstream/signing-key.asc: use a minimal signing key

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 25 Mar 2019 22:52:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11~), python-all-dev, python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools, python-setuptools
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 11), python-all-dev, python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools, python-setuptools
+Standards-Version: 4.3.0
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/modules/pyscard.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pyscard

=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,6 @@
 	python3 setup.py clean
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	python3 setup.py test
+endif

## pyscard 2.0.0

=== debian/changelog ===
pyscard (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ludovic Rousseau ]
  * new upstream release
  * d/control: add Rules-Requires-Root: no
  * d/control: debhelper-compat (= 13)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Sep 2020 14:54:59 +0200

pyscard (1.9.9-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0.
  * Use pybuild to build package.
  * Drop Python 2 support (Closes: #937530).
  * Bump debhelper compat level to 12.
  * Remove nested Examples directory.

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Sep 2019 16:16:12 +0200

=== debian/control ===
Source: pyscard
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 13), python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools
Standards-Version: 4.5.0
Section: python
Vcs-Git: https://salsa.debian.org/python-team/modules/pyscard.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyscard
Homepage: https://github.com/LudovicRousseau/pyscard
Rules-Requires-Root: no

Package: python3-pyscard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Suggests: python3-wxgtk4.0
Description: Python3 wrapper above PC/SC API
 This package contains a wrapper to use PC/SC from a Python 3 program.
 PC/SC (or winscard or pcsc) is an API to communicate with smart cards and
 smart card readers.
 .
 The package also contains some example of codes.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://sf.net/pyscard/pyscard-(.*)\.tar\.gz

## pyscard 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PYTHON ?= python
+PYTHON ?= python3
 
 build:
 	$(PYTHON) setup.py build

=== debian/changelog ===
pyscard (2.0.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:43:48 +0000

pyscard (2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 22 Sep 2021 23:00:20 +0200

pyscard (2.0.1-2) unstable; urgency=medium

  * upload to unstable

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 23 Aug 2021 21:34:05 +0200

pyscard (2.0.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Ludovic Rousseau ]
  * new upstream release
  * d/watch: upgrade to version 4.
    fix lintian warning: older-debian-watch-file-standard 3
  * d/control: Standards-Version: 4.5.0 -> 4.5.1

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 17 Jun 2021 17:42:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pyscard
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13), python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: python
-Vcs-Git: https://salsa.debian.org/python-team/modules/pyscard.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pyscard
+Vcs-Git: https://salsa.debian.org/python-team/packages/pyscard.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pyscard
 Homepage: https://github.com/LudovicRousseau/pyscard
 Rules-Requires-Root: no

## pyscard 2.0.3

=== debian/changelog ===
pyscard (2.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 18 Mar 2022 13:15:09 +0100

## pyscard 2.0.5

=== debian/changelog ===
pyscard (2.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 28 Sep 2022 14:50:04 +0200

pyscard (2.0.4-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.5.1 -> 4.6.1, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 28 Aug 2022 19:14:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13), python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyscard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyscard

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=pyscard

%:
	dh $@ --with python3 --buildsystem=pybuild

## pyscard 2.0.7

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 	rm -f smartcard/scard/scard_wrap.c
 	# files generated by sphinx
 	rm -rf smartcard/doc/_build
+	# files generated by pydoctor
+	rm -rf smartcard/doc/html
 	rm -rf dist
 	$(PYTHON) setup.py sdist
 	python3 -m twine upload dist/*

=== debian/changelog ===
pyscard (2.0.7-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:20:32 +0000

pyscard (2.0.7-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:22:31 +0000

pyscard (2.0.7-2) unstable; urgency=medium

  * add autopkgtests
  * d/control: add Recommends: libpcsclite1
  * tests: remove Depends: python3-setuptools
  * test unittest Depends: libpcsclite1
  * test unittest Depends: python3
  * d/patches/Makefile: remove generated _scard*.so files (Closes: #1045213)
  * d/rules: extend clean target
  * d/source/options: ignore changes on generated egg files
  * d/control: remove useless "Testsuite: autopkgtest" line

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 14 Aug 2023 14:54:19 +0200

pyscard (2.0.7-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.6.1 -> 4.6.2, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 31 Mar 2023 18:31:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13), python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyscard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyscard
@@ -13,6 +13,7 @@
 Package: python3-pyscard
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Recommends: libpcsclite1
 Suggests: python3-wxgtk4.0
 Description: Python3 wrapper above PC/SC API
  This package contains a wrapper to use PC/SC from a Python 3 program.

=== debian/tests/control ===
Tests: unittest
Depends: @, libpcsclite1, python3
Restrictions: allow-stderr

## pyscard 2.0.10

=== Makefile ===
PYTHON ?= python3
COVERAGE ?= coverage

build:
	$(PYTHON) -m build

install: clean
	$(PYTHON) -m pip install --editable .

clean:
	$(PYTHON) setup.py clean
	rm -rf build
	rm -f smartcard/scard/_scard*.so

pypi: clean
	# files generated by swig
	rm -f smartcard/scard/scard.py
	rm -f smartcard/scard/scard_wrap.c
	# files generated by sphinx
	rm -rf smartcard/doc/_build
	# files generated by pydoctor
	rm -rf smartcard/doc/html
	rm -rf dist
	$(PYTHON) -m build
	python3 -m twine upload dist/*

test: install
	pytest

coverage:
	$(COVERAGE) erase
	$(COVERAGE) run -m unittest discover
	$(COVERAGE) report
	$(COVERAGE) html

ChangeLog.git:
	git log --stat --decorate=short > $@

.PHONY: clean build pypi test

=== debian/changelog ===
pyscard (2.0.10-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 01 Jun 2024 12:02:21 +0200

pyscard (2.0.9-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 06 Apr 2024 15:21:18 +0200

pyscard (2.0.8-1) unstable; urgency=medium

  * New upstream release
  * Remove pyscard.egg-info/
  * d/patches/Makefile: patch now included upstream
  * d/control: reformat Build-Depends:
  * d/control: add Build-Depends: pybuild-plugin-pyproject

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 09 Mar 2024 19:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,14 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 13), python3-all-dev, libpcsclite-dev, swig, dh-python, python3-setuptools
+Build-Depends:
+	debhelper-compat (= 13),
+	dh-python,
+	libpcsclite-dev,
+	pybuild-plugin-pyproject,
+	python3-all-dev,
+	python3-setuptools,
+	swig
 Standards-Version: 4.6.2
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyscard.git

=== debian/tests/control ===
Tests: unittest
Depends: @, libpcsclite1, python3, pcscd
Restrictions: allow-stderr, needs-sudo

## pyscard 2.2.0

=== debian/changelog ===
pyscard (2.2.0-2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:00:29 +0100

pyscard (2.2.0-2) unstable; urgency=medium

  * d/tests: move from unittest to pytest

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 23 Oct 2024 14:19:27 +0200

pyscard (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Remove pyscard.egg-info/
  * d/examples: the example in src/ now

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 20 Oct 2024 16:29:48 +0200

pyscard (2.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 09 Sep 2024 21:09:07 +0200

pyscard (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Fix "access to undefined variable in PCSCCardConnection.py" fixed
    upstream (Closes: #1081115)
  * Remove pyscard.egg-info/
  * d/control: Standards-Version: 4.6.2 -> 4.7.0, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Sep 2024 18:11:02 +0200

## pyscard 2.2.1

=== Makefile ===
PYTHON ?= python3
TOX ?= tox
COVERAGE ?= coverage

build:
	$(TOX) run -m build

install: clean
	$(PYTHON) -m pip install --editable .

clean:
	$(PYTHON) setup.py clean
	rm -rf build
	rm -f src/smartcard/scard/_scard*.so

pypi: clean
	# files generated by swig
	rm -f src/smartcard/scard/scard.py
	rm -f src/smartcard/scard/scard_wrap.c
	rm -rf dist
	# Use the tox 'build' label to generate wheels for all Python versions.
	$(TOX) run -m build
	python3 -m twine upload dist/*

test:
	pytest --verbose

coverage:
	$(COVERAGE) erase
	$(COVERAGE) run -m pytest
	$(COVERAGE) combine
	$(COVERAGE) report
	$(COVERAGE) html

pylint:
	$(PYTHON) -m pylint --errors-only smartcard

ChangeLog.git:
	git log --stat --decorate=short > $@

.PHONY: sync-docs
sync-docs: clean
	$(TOX) -e docs
	rsync \
		--recursive --verbose --update --rsh=ssh --links \
		build/docs/ \
		ludov@web.sourceforge.net:/home/project-web/pyscard/htdocs/

.PHONY: clean build pypi test

=== debian/changelog ===
pyscard (2.2.1-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:07:32 +0000

pyscard (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 12 Jan 2025 16:02:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	python3-all-dev,
 	python3-setuptools,
 	swig
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyscard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyscard

## pyscard 2.2.2

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,9 @@
 test:
 	pytest --verbose
 
+test_parallel:
+	pytest --parallel-threads=10 --iterations=10 --verbose
+
 coverage:
 	$(COVERAGE) erase
 	$(COVERAGE) run -m pytest

=== debian/changelog ===
pyscard (2.2.2-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:46:27 +0000

pyscard (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Remove src/pyscard.egg-info/
  * d/copyright: update FSF address
  * d/control: Standards-Version: 4.7.0 -> 4.7.2, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 13 Apr 2025 17:30:30 +0200

pyscard (2.2.1-2) unstable; urgency=medium

  * autopkgtest: remove Requires=polkit.service
  * autopkgtest: reload systemd daemon

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 30 Mar 2025 22:14:28 +0200

## pyscard 2.3.0

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,10 @@
 	$(COVERAGE) html
 
 pylint:
-	$(PYTHON) -m pylint --errors-only smartcard
+	$(PYTHON) -m pylint smartcard
+	cd test ; $(PYTHON) -m pylint .
+	cd src/smartcard/Examples ; $(PYTHON) -m pylint --ignore wx .
+	cd src/smartcard/test ; $(PYTHON) -m pylint .
 
 ChangeLog.git:
 	git log --stat --decorate=short > $@

=== debian/changelog ===
pyscard (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * Remove src/pyscard.egg-info/

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 27 Aug 2025 12:03:41 +0200

=== debian/tests/control ===
Tests: pyscard-tests
Depends: @, libpcsclite1, python3, pcscd, python3-pytest
Restrictions: allow-stderr, needs-sudo

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://sf.net/pyscard/pyscard-(.*)\.tar\.gz

## pyscard 2.3.1

=== debian/changelog ===
pyscard (2.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 29 Oct 2025 17:01:39 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	python3-all-dev,
 	python3-setuptools,
 	swig
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyscard.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyscard

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	make clean
